package cz.muni.sutralog.repository

import cz.muni.sutralog.data.RockPresentableListItem

class RockRepository {

    fun getMockedData(count: Int = 9): List<RockPresentableListItem> =
        mutableListOf<RockPresentableListItem>().apply {
            repeat(count) {
                val item = RockPresentableListItem(
                    id = it.toLong(),
                    name = "$it",
                    color = "#e2e2e2"
                )
                add(item)
            }
        }

}